### Function

# Vte Uuid new_from_string

since: 0.78

#### Declaration [src]

    VteUuid*
    vte_uuid_new_from_string (
      const char* str,
      gssize len,
      VteUuidFormat fmt
    )

#### Description [src]

Creates a new UUID from its string representation `str`.

Available since: 0.78

#### Parameters

`str`

  Type: `const char*`

  A string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`len`

  Type: `gssize`

  The length of `str`, or -1 is `str` is NUL terminated.

`fmt`

  Type: `VteUuidFormat`

  Flags from `VteUuidFormat` for which fmt(s) to accept.

#### Return value

Type: `VteUuid`

A new UUID, or `NULL` is `str` is not a valid UUID string representation.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.